"use strict";
const path_1 = require('path');
function fixture(ava, path) {
    function curry(testfn) {
        return ((name, fixtureName, run) => {
            if (!run) {
                run = fixtureName;
                fixtureName = name;
            }
            const fixturePath = path_1.join(path, fixtureName);
            return testfn(`${name ? name + ' ' : ''}(fixture: ${fixtureName})`, (t) => {
                return run(t, fixturePath);
            });
        });
    }
    let fn = curry(ava);
    let others = {
        only: curry(ava.only),
        skip: curry(ava.skip),
        serial: curry(ava.serial),
        todo: ava.todo,
        cb: curry(ava.cb),
        failing: curry(ava.failing),
        before: ava.before,
        beforeEach: ava.beforeEach,
        after: ava.after,
        afterEach: ava.afterEach
    };
    for (let key in others) {
        fn[key] = others[key];
    }
    return fn;
}
Object.defineProperty(exports, "__esModule", { value: true });
exports.default = fixture;
//# sourceMappingURL=index.js.map