"use strict";
const path_1 = require('path');
const fs_1 = require('fs');
const ava_1 = require('ava');
const index_1 = require('./index');
const ftest = index_1.default(ava_1.default, path_1.join(process.env.PWD, 'fixtures'));
ftest('abs path', 'case-1', (t, path) => {
    const filePath = path_1.join(path, 'somefile.txt');
    t.plan(1);
    t.true(fs_1.existsSync(filePath), 'should find somefile.txt');
});
const rtest = index_1.default(ava_1.default, '../fixtures');
rtest('relative path', 'case-1', (t, path) => {
    const filePath = path_1.join(path, 'somefile.txt');
    t.plan(1);
    t.true(fs_1.existsSync(filePath), 'should find somefile.txt');
});
ftest('case-1', t => {
    t.pass('work without title.');
});
ftest.skip('skip test', 'case-1', t => {
    t.pass('skip test works.');
});
ftest.skip('case-1', t => {
    t.pass('skip without title works.');
});
ftest.serial('serial', 'case-1', t => {
    t.pass('serial works.');
});
ftest.serial('case-1', t => {
    t.pass('serial without title works.');
});
ftest.todo('todo test');
ftest.cb('cb', 'case-1', t => {
    t.pass('cb works.');
    t.end();
});
ftest.cb('case-1', t => {
    t.pass('cb without title works.');
    t.end();
});
//# sourceMappingURL=index.spec.js.map